Bug 179627 - Enhance cman initscript to do cman_tool leave remove on stop
Enhance cman initscript to do cman_tool leave remove on stop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 13:57 EST by Jonathan Earl Brassow
Modified: 2009-04-24 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 10:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch should do the trick. (535 bytes, patch)
2006-02-01 14:26 EST, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Jonathan Earl Brassow 2006-02-01 13:57:21 EST
Description of problem:
Customers are asking for the ability to take down 2 nodes at a time in a four
node cluster for maintainance.  If the init script did a 'cman_tool leave
remove' instead of just 'cman_tool leave', this would be possible, right?

Note, a 'service cman restart' should probably only do a "leave", while a
'service cman stop' should do a "leave remove".

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathan Earl Brassow 2006-02-01 14:26:22 EST
Created attachment 123985 [details]
This patch should do the trick.

Patch makes 'stop' do 'cman_tool leave remove' and leaves 'restart' to do
'cman_tool leave'
Comment 3 Christine Caulfield 2006-02-02 11:21:20 EST
The patch looks OK to me. That than an if/then/else you could, of course just do 

   cman_tool leave $2
Comment 4 Jonathan Earl Brassow 2006-02-02 11:57:52 EST
yeah, but i wouldn't want someone doing 'service cman stop bumpkin'... wanted to check for valid 
option.
Comment 5 Jonathan Earl Brassow 2006-02-02 12:37:02 EST
ok, you should now be able to bring a cluster down to two nodes by shutting down
the other machines...

Note You need to log in before you can comment on or make changes to this bug.